# class KPasswordEdit | A safe password input widget. More...
Definition | `#include <kpassdlg.h>`
Inherits | QLineEdit (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum EchoModes { OneStar, ThreeStars, NoEcho }

#### Public Methods

- KPasswordEdit (QWidget *parent=0, const char *name=0)
- KPasswordEdit (QWidget *parent, const char *name, int echoMode)
- ~KPasswordEdit ()
- const char * password ()
- void erase ()

#### Public Members

- static const int PassLen

#### Protected Methods

- virtual void keyPressEvent (QKeyEvent *)

## Detailed Description

The widget uses the user's global "echo mode" setting.

KPasswordEdit (QWidget *parent=0, const char *name=0) | ### KPasswordEdit

Create a widget using the user's global "echo mode" setting.

KPasswordEdit (QWidget *parent, const char *name, int echoMode) | ### KPasswordEdit

Create a widget using echoMode as "echo mode".

~KPasswordEdit () | ### ~KPasswordEdit

const char * password () | ### password

Returns the password. The memory is freed in the destructor so you should make a copy.

void erase () | ### erase

static const int PassLen | ### PassLen

enum EchoModes { OneStar, ThreeStars, NoEcho } | ### EchoModes

void keyPressEvent (QKeyEvent *) | ### keyPressEvent

[protected virtual]

Reimplemented from QLineEdit.

- Author: Geert Jansen <geertj@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.